libavcodec-extra

Ffmpeg library with extra codecs (metapackage)
  https://ffmpeg.org/
  2
  1 review



Ffmpeg is the leading multimedia framework, able to decode, encode, transcode, mux, demux, stream, filter and play pretty much anything that humans and machines have created. it supports the most obscure ancient formats up to the cutting edge.

this metapackage depends on the latest version of the libavcodec variant that offers additional codec support. application packages can depend on it if they require or suggest this variant in a robust manner.
Latest reviews
5
jcxz100 4 years ago

It is pretty impossible to get an explanation of why you will need this package, "libavcode-extra", rather than plain "libavcodec". See for instance this ubuntu forums question: http://ubuntuforums.org/showthread.php?t=1423948 (it is from 2010 and still unanswered). But my guess is that you won't have for instance mp3 ability without it (no, I didn't test that). After all the "MPEG-1 & -2 Audio Layer III" specifications are copyright by Fraunhofer IIS et al., and these companies have every right to one day ask everyone in the world to pay for the use of it... not a likely scenario, but still it could possibly be the reason for having a libavcodec that does not support it.